QScintilla 2.14.1

Public Types | Public Member Functions | Protected Member Functions | List of all members
QsciLexerVerilog Class Reference

`#include <qscilexerverilog.h>`

Inherits QsciLexer.

## Public Types
enum | { Default = 0, InactiveDefault = Default + 64, Comment = 1, InactiveComment = Comment + 64, CommentLine = 2, InactiveCommentLine = CommentLine + 64, CommentBang = 3, InactiveCommentBang = CommentBang + 64, Number = 4, InactiveNumber = Number + 64, Keyword = 5, InactiveKeyword = Keyword + 64, String = 6, InactiveString = String + 64, KeywordSet2 = 7, InactiveKeywordSet2 = KeywordSet2 + 64, SystemTask = 8, InactiveSystemTask = SystemTask + 64, Preprocessor = 9, InactivePreprocessor = Preprocessor + 64, Operator = 10, InactiveOperator = Operator + 64, Identifier = 11, InactiveIdentifier = Identifier + 64, UnclosedString = 12, InactiveUnclosedString = UnclosedString + 64, UserKeywordSet = 19, InactiveUserKeywordSet = UserKeywordSet + 64, CommentKeyword = 20, InactiveCommentKeyword = CommentKeyword + 64, DeclareInputPort = 21, InactiveDeclareInputPort = DeclareInputPort + 64, DeclareOutputPort = 22, InactiveDeclareOutputPort = DeclareOutputPort + 64, DeclareInputOutputPort = 23, InactiveDeclareInputOutputPort = DeclareInputOutputPort + 64, PortConnection = 24, InactivePortConnection = PortConnection + 64 }

## Public Member Functions
| QsciLexerVerilog (QObject *parent=0)
virtual | ~QsciLexerVerilog ()
const char * | language () const
const char * | lexer () const
int | braceStyle () const
const char * | wordCharacters () const
QColor | defaultColor (int style) const
bool | defaultEolFill (int style) const
QFont | defaultFont (int style) const
QColor | defaultPaper (int style) const
const char * | keywords (int set) const
QString | description (int style) const
void | refreshProperties ()
void | setFoldAtElse (bool fold)
bool | foldAtElse () const
void | setFoldComments (bool fold)
bool | foldComments () const
void | setFoldCompact (bool fold)
bool | foldCompact () const
void | setFoldPreprocessor (bool fold)
bool | foldPreprocessor () const
void | setFoldAtModule (bool fold)
bool | foldAtModule () const
Public Member Functions inherited from QsciLexer
| QsciLexer (QObject *parent=0)
virtual | ~QsciLexer ()
virtual int | lexerId () const
QsciAbstractAPIs * | apis () const
virtual const char * | autoCompletionFillups () const
virtual QStringList | autoCompletionWordSeparators () const
int | autoIndentStyle ()
virtual const char * | blockEnd (int *style=0) const
virtual int | blockLookback () const
virtual const char * | blockStart (int *style=0) const
virtual const char * | blockStartKeyword (int *style=0) const
virtual bool | caseSensitive () const
virtual QColor | color (int style) const
virtual bool | eolFill (int style) const
virtual QFont | font (int style) const
virtual int | indentationGuideView () const
virtual int | defaultStyle () const
virtual QColor | paper (int style) const
QColor | defaultColor () const
QFont | defaultFont () const
QColor | defaultPaper () const
QsciScintilla * | editor () const
void | setAPIs (QsciAbstractAPIs *apis)
void | setDefaultColor (const QColor &c)
void | setDefaultFont (const QFont &f)
void | setDefaultPaper (const QColor &c)
virtual void | setEditor (QsciScintilla *editor)
bool | readSettings (QSettings &qs, const char *prefix="/Scintilla")
virtual int | styleBitsNeeded () const
bool | writeSettings (QSettings &qs, const char *prefix="/Scintilla") const

## Protected Member Functions
bool | readProperties (QSettings &qs, const QString &prefix)
bool | writeProperties (QSettings &qs, const QString &prefix) const
Protected Member Functions inherited from QsciLexer
QByteArray | textAsBytes (const QString &text) const
QString | bytesAsText (const char *bytes, int size) const

## Additional Inherited Members
Public Slots inherited from QsciLexer
virtual void | setAutoIndentStyle (int autoindentstyle)
virtual void | setColor (const QColor &c, int style=-1)
virtual void | setEolFill (bool eoffill, int style=-1)
virtual void | setFont (const QFont &f, int style=-1)
virtual void | setPaper (const QColor &c, int style=-1)
Signals inherited from QsciLexer
void | colorChanged (const QColor &c, int style)
void | eolFillChanged (bool eolfilled, int style)
void | fontChanged (const QFont &f, int style)
void | paperChanged (const QColor &c, int style)
void | propertyChanged (const char *prop, const char *val)

## Detailed Description

The QsciLexerVerilog class encapsulates the Scintilla Verilog lexer.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

This enum defines the meanings of the different styles used by the Verilog lexer.

Enumerator
Default | The default.
Comment | A comment.
CommentLine | A line comment.
CommentBang | A bang comment.
Number | A number.
Keyword | A keyword.
String | A string.
KeywordSet2 | A keyword defined in keyword set number 2. The class must be sub-classed and re-implement keywords() to make use of this style.
SystemTask | A system task.
Preprocessor | A pre-processor block.
Operator | An operator.
Identifier | An identifier.
UnclosedString | The end of a line where a string is not closed.
UserKeywordSet | A keyword defined in keyword set number 4. The class must be sub-classed and re-implement keywords() to make use of this style. This set is intended to be used for user defined identifiers and tasks.
CommentKeyword | A keyword comment.
DeclareInputPort | An input port declaration.
DeclareOutputPort | An output port declaration.
DeclareInputOutputPort | An input/output port declaration.
PortConnection | A port connection.

## Constructor & Destructor Documentation

## ◆ QsciLexerVerilog()

QsciLexerVerilog::QsciLexerVerilog | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerVerilog with parent parent. parent is typically the QsciScintilla instance.

## Member Function Documentation

## ◆ lexer()

const char* QsciLexerVerilog::lexer | ( |  | ) | const
| virtual

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

## ◆ defaultColor()

QColor QsciLexerVerilog::defaultColor | ( | int | style | ) | const
| virtual

Returns the foreground colour of the text for style number style.

See also
  defaultPaper()

Reimplemented from QsciLexer.

## ◆ defaultPaper()

QColor QsciLexerVerilog::defaultPaper | ( | int | style | ) | const
| virtual

Returns the background colour of the text for style number style.

See also
  defaultColor()

Reimplemented from QsciLexer.

## ◆ keywords()

const char* QsciLexerVerilog::keywords | ( | int | set | ) | const
| virtual

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

## ◆ description()

QString QsciLexerVerilog::description | ( | int | style | ) | const
| virtual

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

## ◆ refreshProperties()

void QsciLexerVerilog::refreshProperties | ( |  | ) |
| virtual

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

## ◆ setFoldAtElse()

void QsciLexerVerilog::setFoldAtElse | ( | bool | fold | ) |

If fold is true then "} else {" lines can be folded. The default is false.

See also
  foldAtElse()

## ◆ foldAtElse()

bool QsciLexerVerilog::foldAtElse | ( |  | ) | const
| inline

Returns true if "} else {" lines can be folded.

See also
  setFoldAtElse()

## ◆ setFoldComments()

void QsciLexerVerilog::setFoldComments | ( | bool | fold | ) |

If fold is true then multi-line comment blocks can be folded. The default is false.

See also
  foldComments()

## ◆ foldComments()

bool QsciLexerVerilog::foldComments | ( |  | ) | const
| inline

Returns true if multi-line comment blocks can be folded.

See also
  setFoldComments()

## ◆ setFoldCompact()

void QsciLexerVerilog::setFoldCompact | ( | bool | fold | ) |

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also
  foldCompact()

## ◆ foldCompact()

bool QsciLexerVerilog::foldCompact | ( |  | ) | const
| inline

Returns true if trailing blank lines are included in a fold block.

See also
  setFoldCompact()

## ◆ setFoldPreprocessor()

void QsciLexerVerilog::setFoldPreprocessor | ( | bool | fold | ) |

If fold is true then preprocessor blocks can be folded. The default is true.

See also
  foldPreprocessor()

## ◆ foldPreprocessor()

bool QsciLexerVerilog::foldPreprocessor | ( |  | ) | const
| inline

Returns true if preprocessor blocks can be folded.

See also
  setFoldPreprocessor()

## ◆ setFoldAtModule()

void QsciLexerVerilog::setFoldAtModule | ( | bool | fold | ) |

If fold is true then modules can be folded. The default is false.

See also
  foldAtModule()

## ◆ foldAtModule()

bool QsciLexerVerilog::foldAtModule | ( |  | ) | const
| inline

Returns true if modules can be folded.

See also
  setFoldAtModule()

## ◆ readProperties()

bool QsciLexerVerilog::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  |
| protected virtual

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

See also
  writeProperties()

Reimplemented from QsciLexer.

## ◆ writeProperties()

bool QsciLexerVerilog::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  | const
| protected virtual

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

See also
  readProperties()

Reimplemented from QsciLexer.